Subject: bug#14326: 24.3; Conflict of w32-send-sys-command and set-default-font

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 May 2013 22:25:56 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Fri, 3 May 2013 11:19:25 -0700
> 
> I thought you said that to resize the frame when it has been maximized one does
> NOT need to first unmaximize it: just go ahead and change the frame parameters
> that establish the new size.

Yes.

> And I thought you said that trying to resize the frame by using `set-frame-font'
> (with nil KEEP-SIZE: the default) would be an exception to this.  To resize the
> frame using `set-frame-font' you would first need to unmaximize the frame.

Yes.

> If I understand correctly so far then my question is why resizing the frame
> using `set-frame-font' (with nil KEEP-SIZE) should be an exception.

Because the frame is maximized, which means the user _wants_ it to
stay that way.

> `set-frame-font' resizes the frame, by default, if the new font size is
> different.  That is what it is supposed to do.

I asked _you_ why would _you_ want that.  The fact that someone at
some point thought KEEP-SIZE should be nil by default, including in
maximized frames (which, btw, didn't exist at that time) does not mean
this is the absolute truth.  Do _you_ have any reasons to believe that
default is justified?

> `set-frame-font' is one way of changing the frame size

No, it's just a way to change the font.